# Tests fail due to missing git data,
# and building the JS from source doesn't work (tested as of version 2.0.2)
%bcond_with	tests

%define module	bokeh

Name:		python-%{module}
Version:	3.3.4
Release:	%mkrel 1
Summary:	Interactive plots and applications in the browser from Python
Group:		Development/Python
# BSD-3-Clause
License:	BSD
URL:		https://github.com/bokeh/bokeh
Source0:	https://pypi.io/packages/source/b/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Bokeh is an interactive visualization library for modern web browsers.
It provides elegant, concise construction of versatile graphics, and
affords high-performance interactivity over large or streaming datasets.
Bokeh can help anyone who would like to quickly and easily make
interactive plots, dashboards, and data applications.

%package -n	python3-%{module}
Summary:	Interactive plots and applications in the browser from Python 3
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

# SECTION test requirements
%if %{with tests}
BuildRequires:	python3dist(jinja2) >= 2.7
BuildRequires:	python3dist(numpy) >= 1.11.3
BuildRequires:	python3dist(packaging) >= 16.8
BuildRequires:	python3dist(pillow) >= 4.0
BuildRequires:	python3dist(python-dateutil) >= 2.1
BuildRequires:	python3dist(pyyaml) >= 3.10
BuildRequires:	python3dist(tornado) >= 5.1
BuildRequires:	python3dist(typing-extensions) >= 3.7.4
BuildRequires:	python3dist(pandas)
%endif

%description -n	python3-%{module}
Bokeh is an interactive visualization library for modern web browsers.
It provides elegant, concise construction of versatile graphics, and
affords high-performance interactivity over large or streaming datasets.
Bokeh can help anyone who would like to quickly and easily make
interactive plots, dashboards, and data applications.

%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bokeh typings

%if %{with tests}
%check
%tox
%endif

%files -n python3-%{module} -f %{pyproject_files}
%doc README.md
%license LICENSE.txt
%{_bindir}/%{module}


%changelog
* Tue Mar 19 2024 papoteur <papoteur> 3.3.4-1.mga10
+ Revision: 2050842
- fix files list
+ daviddavid <daviddavid>
- new version: 3.3.4
- switch to pyproject

* Mon Dec 18 2023 papoteur <papoteur> 2.3.2-5.mga10
+ Revision: 2018944
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 2.3.2-4.mga9
+ Revision: 1823976
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.3.2-3.mga9
+ Revision: 1785720
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.3.2-2.mga9
+ Revision: 1733019
- Rebuild for python 3.9

* Thu May 27 2021 joequant <joequant> 2.3.2-1.mga9
+ Revision: 1728545
- update to 2.3.2

* Tue Nov 03 2020 joequant <joequant> 2.2.3-1.mga8
+ Revision: 1641887
- update to 2.2.3

* Sat Jul 25 2020 daviddavid <daviddavid> 2.1.1-1.mga8
+ Revision: 1608931
- initial package python-bokeh

